from archivingsystem.database import Base
from sqlalchemy import Column, String, Integer, BLOB, DateTime

class ArchivedFile(Base):
    __tablename__ = "ArchivedFiles"

    FileID = Column(Integer, autoincrement=True, primary_key=True)
    FileName = Column(String(255))
    OwnerName = Column(String(255))
    PackageStoragePath = Column(String(1024))
    OriginFileHashSha512 = Column(BLOB)
    TimeOfFirstTS = Column(DateTime)
    SigningCert = Column(BLOB)
    SignatureHashSha512 = Column(BLOB)
    Package0HashSha512 = Column(BLOB)
    ExpirationDateTS = Column(DateTime)